﻿$ErrorActionPreference = 'Stop';

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir

  url           = "https://github.com/SoMuchForSubtlety/f1viewer/releases/download/v1.4.0/f1viewer_1.4.0_windows_32-bit.zip"
  url64bit      = "https://github.com/SoMuchForSubtlety/f1viewer/releases/download/v1.4.0/f1viewer_1.4.0_windows_64-bit.zip"
  
  checksumType  = 'sha256'
  checksum      = '5c2f4f4672d0c6ce10b6a28f7364f975f27d6b198062bc8b6bf60746d9e67d2b'
  checksum64    = '8325caade3b048b56316566e9d066a05528fb5eba0be833750184bdbc56e9d22'

  softwareName  = 'f1viewer'
}
Install-ChocolateyZipPackage @packageArgs
